Boomi Platform API Reference (1.0.0) - IntegrationPackInstance
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The Integration Pack Instance object represents an installed instance of an integration pack. You can query this object to find an account's installed integration pack instances and details of processes associated with instances.
Required Privileges
Read and Write access
- API — Use the Boomi Platform API to access account data.
Creates an IntegrationPackInstance object
Installs an instance of the integration pack with a specific ID in the requesting account. You can set the integrationPackOverrideName field only if you configure the specified integration pack to allow multiple installs.
Authorizations:
Request Body schema: optional
Array of objects (ProcessId) A list of process IDs associated with the integration pack instance | |
| id | string A unique ID assigned by the system to the installed instance of the integration pack. This field populates only if you install the integration pack in the requesting account. |
| integrationPackId | string A unique ID assigned by the system to the integration pack. |
| integrationPackOverrideName | string The name of the installed instance of the integration pack. You can set this value only in the case of multi-install integration packs; its purpose is to distinguish between instances. |
Responses
Response Schema:
Array of objects (ProcessId) A list of process IDs associated with the integration pack instance | |
| id | string A unique ID assigned by the system to the installed instance of the integration pack. This field populates only if you install the integration pack in the requesting account. |
| integrationPackId | string A unique ID assigned by the system to the integration pack. |
| integrationPackOverrideName | string The name of the installed instance of the integration pack. You can set this value only in the case of multi-install integration packs; its purpose is to distinguish between instances. |
Request samples
- Payload
{- "integrationPackOverrideName": "Domestic Order Intake",
- "integrationPackId": "89abcdef-0123-4567-89ab-cdef01234567"
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "IntegrationPackInstance",
- "ProcessId": [
- {
- "@type": "ProcessId",
- "originalProcessId": "bc407c7d-cacc-48da-a430-c6a4d2835a83",
- "wrapperProcessId": "52896de8-229a-449a-ae5d-ecfe8fc2e770",
- "name": "Domestic Order Intake test1 - INT"
}, - {
- "@type": "ProcessId",
- "originalProcessId": "f23ce1b1-7440-4535-a534-685a17a41607",
- "wrapperProcessId": "4dbfb44f-2676-488c-beb8-1121677117a3",
- "name": "Domestic Order Intake test1 - New Process 3"
}
], - "integrationPackId": "89abcdef-0123-4567-89ab-cdef01234567",
- "integrationPackOverrideName": "Domestic Order Intake test1",
- "id": "SW50ZWdyYXRpb25QYWNrSW5zdGFuY2UyNQ"
}Retrieves an instance of an IntegrationPackInstance object
Retrieves the properties of the integration pack instance having the specified ID.
The ordinary GET operation retrieves the properties of the integration pack instance having the specified ID. The bulk GET operation retrieves the properties of the integration pack instances having the specified IDs, to a maximum of 100. You can obtain integration pack instance IDs from the QUERY operation.
Authorizations:
path Parameters
| id required | string The integration pack instance ID. |
Responses
Response Schema:
Array of objects (ProcessId) A list of process IDs associated with the integration pack instance | |
| id | string A unique ID assigned by the system to the installed instance of the integration pack. This field populates only if you install the integration pack in the requesting account. |
| integrationPackId | string A unique ID assigned by the system to the integration pack. |
| integrationPackOverrideName | string The name of the installed instance of the integration pack. You can set this value only in the case of multi-install integration packs; its purpose is to distinguish between instances. |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "IntegrationPackInstance",
- "ProcessId": [
- {
- "@type": "ProcessId",
- "originalProcessId": "bc407c7d-cacc-48da-a430-c6a4d2835a83",
- "wrapperProcessId": "0331193a-2675-4f33-97fc-e050a4fd4eec",
- "name": "Domestic Order Intake - INT"
}, - {
- "@type": "ProcessId",
- "originalProcessId": "f23ce1b1-7440-4535-a534-685a17a41607",
- "wrapperProcessId": "ea975f03-592f-49e5-84cb-49f69f75adb4",
- "name": "Domestic Order Intake - New Process 3"
}
], - "integrationPackId": "a3c4917d-9622-4c5f-978c-0f02b5f5457a",
- "integrationPackOverrideName": "Domestic Order Intake",
- "id": "SW50ZWdyYXRpb25QYWNrSW5zdGFuY2UyMA"
}Deletes an IntegrationPackInstance object
Uninstalls the integration pack instance having a specified ID from the requesting account. You can obtain this ID from a QUERY operation.
Authorizations:
path Parameters
| id required | string The integration pack instance ID. |
Responses
Response samples
- 403
- 410
- 503
{- "message": "Access denied due to insufficient permissions."
}Retrieves multiple IntegrationPackInstance objects by identifier
To learn more about bulk, refer to the topic Bulk GET operations.
Authorizations:
Request Body schema: optional
Array of objects (BulkId) | |
| type | string Enum: "GET" "DELETE" "UPDATE" "CREATE" |
Responses
Response Schema:
Array of objects | |||||||||||
Array
| |||||||||||
Request samples
- Payload
{- "request": [
- {
- "id": "56789abc-def0-1234-5678-9abcdef01234"
}
], - "type": "GET"
}Response samples
- 200
- 403
- 410
- 503
{- "response": [
- {
- "Result": {
- "ProcessId": {
- "originalProcessId": "bc407c7d-cacc-48da-a430-c6a4d2835a83",
- "wrapperProcessId": "0331193a-2675-4f33-97fc-e050a4fd4eec",
- "name": "Domestic Order Intake - INT"
}, - "id": "SW50ZWdyYXRpb25QYWNrSW5zdGFuY2UyMA",
- "integrationPackId": "a3c4917d-9622-4c5f-978c-0f02b5f5457a",
- "integrationPackOverrideName": "Domestic Order Intake"
}, - "index": 0,
- "id": "string",
- "statusCode": 0,
- "errorMessage": "string"
}
]
}Queries for an IntegrationPackInstance object(s)
For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Authorizations:
Request Body schema: optional
Possible properties include: integrationPackOverrideName, integrationPackName, integrationPackId
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (IntegrationPackInstance) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "argument": [
- "Order Intake"
], - "operator": "EQUALS",
- "property": "integrationPackName"
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 2,
- "@type": "QueryResult",
- "result": [
- {
- "ProcessId": [
- {
- "@type": "ProcessId",
- "originalProcessId": "bc407c7d-cacc-48da-a430-c6a4d2835a83",
- "wrapperProcessId": "0331193a-2675-4f33-97fc-e050a4fd4eec",
- "name": "Domestic Order Intake - INT"
}, - {
- "@type": "ProcessId",
- "originalProcessId": "f23ce1b1-7440-4535-a534-685a17a41607",
- "wrapperProcessId": "ea975f03-592f-49e5-84cb-49f69f75adb4",
- "name": "Domestic Order Intake - New Process 3"
}
]
}, - {
- "@type": "IntegrationPackInstance",
- "integrationPackOverrideName": "Domestic Order Intake",
- "integrationPackId": "89abcdef-0123-4567-89ab-cdef01234567",
- "id": "76543210FEDCBA9876543210FEDCBA98"
}, - {
- "@type": "IntegrationPackInstance",
- "integrationPackOverrideName": "International Order Intake",
- "integrationPackId": "89abcdef-0123-4567-89ab-cdef01234567",
- "id": "876543210FEDCBA9876543210FEDCBA9"
}
]
}Retrieves additional results for an IntegrationPackInstance query
To learn about using queryMore, refer to the topic Query paging.
Authorizations:
Request Body schema: text/plainrequired
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (IntegrationPackInstance) |
Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 2,
- "@type": "QueryResult",
- "result": [
- {
- "ProcessId": [
- {
- "@type": "ProcessId",
- "originalProcessId": "bc407c7d-cacc-48da-a430-c6a4d2835a83",
- "wrapperProcessId": "0331193a-2675-4f33-97fc-e050a4fd4eec",
- "name": "Domestic Order Intake - INT"
}, - {
- "@type": "ProcessId",
- "originalProcessId": "f23ce1b1-7440-4535-a534-685a17a41607",
- "wrapperProcessId": "ea975f03-592f-49e5-84cb-49f69f75adb4",
- "name": "Domestic Order Intake - New Process 3"
}
]
}, - {
- "@type": "IntegrationPackInstance",
- "integrationPackOverrideName": "Domestic Order Intake",
- "integrationPackId": "89abcdef-0123-4567-89ab-cdef01234567",
- "id": "76543210FEDCBA9876543210FEDCBA98"
}, - {
- "@type": "IntegrationPackInstance",
- "integrationPackOverrideName": "International Order Intake",
- "integrationPackId": "89abcdef-0123-4567-89ab-cdef01234567",
- "id": "876543210FEDCBA9876543210FEDCBA9"
}
]
}